# Class NucleicPolymer

java.lang.Object
org.jmol.modelsetbio.BioPolymer
org.jmol.modelsetbio.PhosphorusPolymer
org.jmol.modelsetbio.NucleicPolymer

All Implemented Interfaces:
  `Structure`

public class NucleicPolymer extends PhosphorusPolymer

## Field Summary

Fields
Modifier and Type
Field
Description
`static Map<String,String>`
`htGroup1`
`boolean`
`isDssrSet`

### Fields inherited from class BioPolymer

`bioPolymerIndexInModel, controlPoints, cyclicFlag, hasStructure, hasWingPoints, haveParameters, invalidControl, leadAtomIndices, leadMidpoints, leadPoints, model, monomerCount, monomers, reversed, sheetSmoothing, twistedSheets, type, TYPE_AMINO, TYPE_CARBOHYDRATE, TYPE_NOBONDING, TYPE_NUCLEIC, wingVectors`

## Method Summary

Modifier and Type
Method
Description
`protected static int`
`addHydrogenBond(Lst<Bond> vAtoms, Atom atom1, Atom atom2)`
`protected boolean`
`calcEtaThetaAngles()`
`void`
`calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vAtoms, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`

### Methods inherited from class BioPolymer

`calcParameters, calcPhiPsiAngles, calcSelectedMonomersCount, calculateRamachandranHelixAngle, clearStructures, findNearestAtomIndex, getControlPoint, getControlPoints, getIndex, getLeadAtomIndices, getLeadMidpoints, getPolymerPointsAndVectors, getPolymerSequenceAtoms, getProteinStructure, getRange, getRangeGroups, getSequence, getType, getWingVectors, isCyclic, isNucleic, recalculateLeadMidpointsAndWingVectors, resetHydrogenPoints, setAtomBits, setAtomBitsAndClear, setConformation, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### isDssrSet

public boolean isDssrSet

### htGroup1

public static Map<String,String> htGroup1

## Method Details

### calcEtaThetaAngles

protected boolean calcEtaThetaAngles()

Overrides:
  `calcEtaThetaAngles` in class `BioPolymer`

### calcRasmolHydrogenBonds

public void calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vAtoms, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)

Overrides:
  `calcRasmolHydrogenBonds` in class `BioPolymer`
Parameters:
  `polymer` -
  `bsA` -
  `bsB` -
  `vAtoms` -
  `nMaxPerResidue` -
  `min` -
  `checkDistances` -
  `dsspIgnoreHydrogens` -

### addHydrogenBond

protected static int addHydrogenBond(Lst<Bond> vAtoms, Atom atom1, Atom atom2)